div[ctrl=main] {
	line-height: 1.6;
}

div[ctrl=main]>div[ctrl=main-title],
div[ctrl=main]>div[ctrl=main-body] {
	border: 1px solid #7E7674;
	background-color: #0e2a3a;
}

div[ctrl=main]>div[ctrl=main-title]>label[ctrl=max],
div[ctrl=main]>div[ctrl=main-title]>label[ctrl=max]::before,
div[ctrl=main]>div[ctrl=main-title]>label[ctrl=collapse] {
	border: none;
}

div[ctrl=main]>div[ctrl=main-title]>label[ctrl=max]::before {
	border: #eee solid 1px;
}

input[ctrl=main-max]:checked+div[ctrl=main]>div[ctrl=main-title]>label[ctrl=max]::before,
div[ctrl=main]>div[ctrl=main-title]>label[ctrl=collapse]::after,
div[ctrl=main]>div[ctrl=main-title]>label[ctrl=collapse]::before {
	background-color: #eee;
}

div[ctrl=child] {
	background-color: #111;
}


div[ctrl=checked]>button[ctrl=checked] {
	padding: 1px 4px;
}

label[ctrl=closed] {
	border: 1px solid #ccc;
}

label[ctrl=closed]:after,
label[ctrl=closed]:before {
	background-color: #ccc;
}

div[ctrl=flex] {
	font-size: smaller;
	padding: 5px;
}

div[ctrl=flex].left {
	border-right: cornflowerblue solid 1px;
}

div[ctrl=flex] div.title,
div[ctrl=flex] div.level,
div[ctrl=flex] div.gem,
div[ctrl=flex] div.total {
	width: 100%;
}


div[ctrl=flex] input {
	height: 24px;
	width: 100%;
}

div[ctrl=flex] div.title {
	margin: 0 auto;
	width: unset
}

div[ctrl=flex] div.title span {
	font-weight: bold;
}

div[ctrl=flex] div.title label[ctrl=closed] {
	vertical-align: middle;
	margin-bottom: 0;
}

div[ctrl=flex] div.level input,
div[ctrl=flex] div.level span {
	padding-left: 5px;
}

div.sel, div.doubleText {
	display: flex;
}

div.doubleText {
	background-color: #333;
	border: 1px solid #ced4da;
	border-radius: .35rem;
	color: #eee;
	height: 24px;
}

div.doubleText input {
	border: none;
	height: unset;
	padding: 2px 5px;
	width: 50%;
}

div.doubleText div.right {
	color: cyan;
	padding: 2px 5px;
	width: 50%;
}

div[ctrl=flex] div.total span {
	padding-right: 5px;
	float: right;
}

div[ctrl=flex] div.total input {
	color: cyan;
	text-align: right;
}

div[ctrl=flex] select {
	background-color: transparent;
	border: none;
	color: #eee;
	cursor: pointer;
	width: 100%;
}

div[ctrl=flex] select:disabled {
	cursor: unset;
}

div[ctrl=flex] select option {
	color: #333;
}

div[ctrl=flex] input:read-only {
	background-color: #333;
	color: #eee;
	padding-right: 5px;
}

#divTop {
	background-color: #7E7674;
	padding: 5px;
}

#divGems {
	padding: 5px;
}

#divBottom {
	background-color: #333;
	color: #eee;
	font-family: simhei;
	padding: 3px;
	text-align: center;
}

#divLog2 {
	padding: 5px;
}


input[ctrl=panel]:checked+#divGems24 {
	border: 1px solid darkgrey;
}

input[ctrl=panel]:checked+#divGems24>div[ctrl=panel-title] {
	background-color: darkgrey;
}

#divGems24 div[ctrl=flex].left {
	border-right: darkgrey solid 1px;
}

input[ctrl=panel]:checked+#divGems25 {
	border: 1px solid LightCoral;
}

input[ctrl=panel]:checked+#divGems25>div[ctrl=panel-title] {
	background-color: LightCoral;
}

#divGems25 div[ctrl=flex].left {
	border-right: LightCoral solid 1px;
}

input[ctrl=panel]:checked+#divGems26 {
	border: 1px solid Khaki;
}

input[ctrl=panel]:checked+#divGems26>div[ctrl=panel-title] {
	background-color: Khaki;
}

#divGems26 div[ctrl=flex].left {
	border-right: Khaki solid 1px;
}

input[ctrl=panel]:checked+#divGems27 {
	border: 1px solid dodgerblue;
}

input[ctrl=panel]:checked+#divGems27>div[ctrl=panel-title] {
	background-color: dodgerblue;
}

#divGems27 div[ctrl=flex].left {
	border-right: dodgerblue solid 1px;
}

input[ctrl=panel]:checked+#divGems28 {
	border: 1px solid LightGreen;
}

input[ctrl=panel]:checked+#divGems28>div[ctrl=panel-title] {
	background-color: LightGreen;
}

#divGems28 div[ctrl=flex].left {
	border-right: LightGreen solid 1px;
}

input[ctrl=panel]:checked+#divGems29 {
	border: 1px solid darkorchid;
}

input[ctrl=panel]:checked+#divGems29>div[ctrl=panel-title] {
	background-color: darkorchid;
}

#divGems29 div[ctrl=flex].left {
	border-right: darkorchid solid 1px;
}

#divInput2 {
	padding: 5px;
}

.tb {
	color: lightgreen !important;
}

.ts {
	color: crimson !important;
}

.color-r {
	color: LightCoral;
}